# Uses of Class
java.util.OptionalLong

Packages that use OptionalLong
Package
Description
java.net.http
HTTP Client and WebSocket APIs
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

- ## Uses of OptionalLong in java.net.http

  Methods in java.net.http that return OptionalLong
  Modifier and Type
  Method
  Description
  `OptionalLong`
  HttpHeaders.`firstValueAsLong(String name)`
  Returns an `OptionalLong` containing the first header string value of the named header field.

- ## Uses of OptionalLong in java.util

  Methods in java.util that return OptionalLong
  Modifier and Type
  Method
  Description
  `static OptionalLong`
  OptionalLong.`empty()`
  Returns an empty `OptionalLong` instance.
  `static OptionalLong`
  OptionalLong.`of(long value)`
  Returns an `OptionalLong` describing the given value.

- ## Uses of OptionalLong in java.util.stream

  Methods in java.util.stream that return OptionalLong
  Modifier and Type
  Method
  Description
  `OptionalLong`
  LongStream.`findAny()`
  Returns an `OptionalLong` describing some element of the stream, or an empty `OptionalLong` if the stream is empty.
  `OptionalLong`
  LongStream.`findFirst()`
  Returns an `OptionalLong` describing the first element of this stream, or an empty `OptionalLong` if the stream is empty.
  `OptionalLong`
  LongStream.`max()`
  Returns an `OptionalLong` describing the maximum element of this stream, or an empty optional if this stream is empty.
  `OptionalLong`
  LongStream.`min()`
  Returns an `OptionalLong` describing the minimum element of this stream, or an empty optional if this stream is empty.
  `OptionalLong`
  LongStream.`reduce(LongBinaryOperator op)`
  Performs a reduction on the elements of this stream, using an associative accumulation function, and returns an `OptionalLong` describing the reduced value, if any.